{ mkDerivation, HUnit, QuickCheck, Stream, aeson, aeson-pretty
, algebraic-graphs, array, barbies, base, base64-bytestring
, bifunctors, bimap, brick, bytestring, bytestring-strict-builder
, cardano-crypto, cardano-crypto-class, cassava, cborg
, composition-prelude, containers, criterion, criterion-measurement
, cryptonite, data-default-class, deepseq, dependent-map
, dependent-sum, deriving-aeson, deriving-compat, directory, dlist
, dom-lt, exceptions, extra, fetchzip, filepath, flat, free
, ghc-prim, hashable, haskeline, hedgehog, hex-text, lazy-search
, lens, lib, megaparsec, microlens, microlens-th, mmorph
, mono-traversable, monoidal-containers, mtl, multiset
, nonempty-vector, nothunks, optparse-applicative
, parser-combinators, pretty-show, prettyprinter
, prettyprinter-configurable, primitive, profunctors
, quickcheck-instances, quickcheck-transformer, ral, random
, recursion-schemes, semigroupoids, semigroups, serialise
, singletons, singletons-th, size-based, some, split, tagged, tasty
, tasty-discover, tasty-expected-failure, tasty-golden
, tasty-hedgehog, tasty-hunit, tasty-quickcheck, template-haskell
, test-framework, test-framework-hunit, test-framework-quickcheck2
, text, text-zipper, th-compat, th-lift, th-lift-instances
, th-utilities, time, transformers, unordered-containers, vector
, vty, vty-crossplatform, witherable
}:
mkDerivation {
  pname = "plutus-core";
  version = "1.27.0.0";
  src = fetchzip {
    url = "https://chap.intersectmbo.org/package/plutus-core-1.27.0.0.tar.gz";
    sha256 = "0qqipppnjmybmrvd5d27mbhc1sjj0a1fw9qfaj3c266pnwf0x15k";
  };
  isLibrary = true;
  isExecutable = true;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson algebraic-graphs array barbies base base64-bytestring
    bifunctors bimap bytestring bytestring-strict-builder
    cardano-crypto cardano-crypto-class cassava cborg
    composition-prelude containers cryptonite data-default-class
    deepseq dependent-map dependent-sum deriving-aeson deriving-compat
    dlist dom-lt exceptions extra filepath flat free ghc-prim hashable
    hedgehog lazy-search lens megaparsec mmorph mono-traversable
    monoidal-containers mtl multiset nonempty-vector nothunks
    optparse-applicative parser-combinators prettyprinter
    prettyprinter-configurable primitive profunctors QuickCheck
    quickcheck-instances quickcheck-transformer ral recursion-schemes
    semigroupoids semigroups serialise size-based some Stream tagged
    tasty tasty-golden tasty-hedgehog tasty-hunit template-haskell text
    th-compat th-lift th-lift-instances th-utilities time transformers
    unordered-containers vector witherable
  ];
  executableHaskellDepends = [
    aeson aeson-pretty base brick bytestring cardano-crypto-class
    cassava containers criterion criterion-measurement deepseq
    directory exceptions filepath flat haskeline hedgehog lens
    megaparsec microlens microlens-th mono-traversable mtl
    optparse-applicative prettyprinter primitive QuickCheck
    quickcheck-instances random serialise singletons singletons-th
    split text text-zipper time transformers vector vty
    vty-crossplatform
  ];
  testHaskellDepends = [
    aeson base bytestring cardano-crypto-class cassava containers
    data-default-class dlist extra filepath flat hashable hedgehog
    hex-text HUnit lens mmorph mtl nonempty-vector pretty-show
    prettyprinter QuickCheck quickcheck-instances serialise split tasty
    tasty-expected-failure tasty-golden tasty-hedgehog tasty-hunit
    tasty-quickcheck template-haskell test-framework
    test-framework-hunit test-framework-quickcheck2 text
    th-lift-instances th-utilities unordered-containers vector
  ];
  testToolDepends = [ tasty-discover ];
  benchmarkHaskellDepends = [
    base criterion nonempty-vector ral random
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  description = "Language library for Plutus Core";
  license = lib.licenses.asl20;
  broken = false;
}